Bug 997229 - RFE: Locate cache elements by value in client-server arch
RFE: Locate cache elements by value in client-server arch
Status: CLOSED NOTABUG
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Misha H. Ali
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 23:22 EDT by Misha H. Ali
Modified: 2014-05-02 00:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 00:40:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2013-08-14 23:22:33 EDT
Add information about locating cache elements by value in a client-server architecture.

Source: JBoss DataGrid questions
Comment 3 Martin Gencur 2014-02-03 03:40:31 EST
This is only possible by using Remote Query feature. It might be good to point users to the Remote Query chapter in docs. I don't know about any other way of accomplishing this.
Comment 5 Sanne Grinovero 2014-05-01 07:09:12 EDT
Hi,
Martin is right, when we mention "locating by value" that implies using queries as we don't provide other (suggested) ways.

Might be nice to clarify that, although tecnically one could write some custom code to figure out an alternative plan, for example using Map/Reduce or simply iterating on the values provided the cache is not distributed and not using cachestores.. so saying that there is no other way could be misleading, I'd rather keep that open ended.

So for client-server, that means using Remote Query. This is a stronger statement for remote clients as we don't support Map/Reduce nor entry iteration from remote clients.

Note You need to log in before you can comment on or make changes to this bug.